curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "video-sync-audio",
"input": {
"model": "mmaudio-sync",
"video_url": "https://example.com/my-video.mp4",
"prompt": "Ocean waves crashing on rocks"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "video-sync-audio",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Generate synchronized audio for videos.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "video-sync-audio",
"input": {
"model": "mmaudio-sync",
"video_url": "https://example.com/my-video.mp4",
"prompt": "Ocean waves crashing on rocks"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "video-sync-audio",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 1 credit per second |
| Tool | video-sync-audio |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | video-sync-audio |
input.model | string | Yes | mmaudio-sync |
input.video_url | string | Yes | URL of the video |
input.prompt | string | No | Description to guide the audio generation |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "video-sync-audio",
"input": {
"model": "mmaudio-sync",
"video_url": "https://example.com/my-video.mp4",
"prompt": "Ocean waves crashing on rocks"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "video-sync-audio",
"createdAt": "2024-01-15T10:30:00.000Z"
}